org.eclipse.graphiti.ui.editor

## Class DiagramEditorActionBarContributor

- java.lang.Object
- - org.eclipse.ui.part.EditorActionBarContributor
  - - org.eclipse.gef.ui.actions.ActionBarContributor
    - - org.eclipse.graphiti.ui.editor.DiagramEditorActionBarContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

    public class DiagramEditorActionBarContributor
    extends org.eclipse.gef.ui.actions.ActionBarContributor

Provides some standard-actions and adds them to the toolbar or the toplevel-menu.

Some of the standard-actions are: undo/redo, delete, copy/paste, alignment, zooming.

### Field Summary

Fields
`static java.lang.String` `MENU_ID_VIEW` The menu ID of the Graphiti view menu that is added by this action bar contributor to the main menu.

### Constructor Summary

Constructors
Constructor and Description
`DiagramEditorActionBarContributor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager menubar)` Adds Actions to the given IMenuManager, which is displayed as the main-menu of Eclipse.
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)` Adds Actions to the given IToolBarManager, which is displayed above the editor.

### Methods inherited from class org.eclipse.gef.ui.actions.ActionBarContributor

`dispose, init, setActiveEditor`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToStatusLine, getActionBars, getPage, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MENU_ID_VIEW

    public static final java.lang.String MENU_ID_VIEW

The menu ID of the Graphiti view menu that is added by this action bar contributor to the main menu.

Since:
  0.12
See Also:
  Constant Field Values

### Constructor Detail

#### DiagramEditorActionBarContributor

    public DiagramEditorActionBarContributor()

### Method Detail

#### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)

Adds Actions to the given IToolBarManager, which is displayed above the editor. See the corresponding method in the super class.

Overrides:
  `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`
Parameters:
  `tbm` - the `IToolBarManager`
See Also:
  `EditorActionBarContributor`

#### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menubar)

Adds Actions to the given IMenuManager, which is displayed as the main-menu of Eclipse. See the corresponding method in the super class.

Overrides:
  `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`
Parameters:
  `menubar` - the menubar
See Also:
  `EditorActionBarContributor`